Subject: Ticket Assigned - Outstanding complaint from 3 months
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 28 Feb 2021 02:03:01 +0000

Hi Manish Kumar,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Outstanding complaint from 3 months Dear Centrepoint,

I requested a return for an item 3 months ago on 27 Nov 2020 for order
#6246826843. The return item is Kappa Trial X Men's Lace-up Walking Shoes.

Despite 3 months, and more than 10 calls from me to customer service on 800
111 1027, and multiple emails to support@centrepoint *[#2027769]*, still no
courier company has contacted me nor has the item for return picked up nor
has centrepoint refunded my money.

This is the worst experience I have ever had with any company in KSA.
Please tell me clearly if Centrepoint is willing to solve this matter or I
will have no choice but to file a formal complaint with the Ministry of
Commerce, Saudi Arabia.

Kind Regards,

Faiq

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2134041